function plugindef()
	-- This function and the 'finaleplugin' namespace
	-- are both reserved for the plug-in definition.
	finaleplugin.MinJWLuaVersion = "0.45"
	finaleplugin.Author = "Chris"
	finaleplugin.Version = "1.0"
	finaleplugin.Date = "08/01/2017"
	finaleplugin.AuthorEmail = "chris@finale-logiciel-aide-gravure-musicale.eu"
	finaleplugin.CategoryTags = "Pluckedstrings, Staff"
	return "Tablature avec hampes", "Tablature avec hampes", ""
end


local function mycallback(staff)

	-- instrument principal
	if staff:HasInstrumentAssigned() and staff:InstrumentMatchesUUID(finale.FFUUID_TAB_GUITARSTEMS) then
		staff.ShowStems = true
	end

	-- instrument change
	local staffstyleassigns = finale.FCStaffStyleAssigns()
	staffstyleassigns:LoadAllForItem(staff.ItemNo)
	
	for staffstyleassign in each(staffstyleassigns) do
	   local ssd = finale.FCStaffStyleDef()
		if ssd:Load(staffstyleassign.StyleID) then
			if ssd:HasInstrumentAssigned() and ssd:InstrumentMatchesUUID(finale.FFUUID_TAB_GUITARSTEMS) then
				ssd.ShowStems = true
				ssd.UseShowStems  = true
				ssd:Save()
			end
		end
	end
	
end

local iterator = finale.FCLuaIterator()
iterator:ForEachObjectSaved(finale.FCID_STAFF, mycallback)
